@rem = '--*-Perl-*--
@echo off
if "%OS%" == "Windows_NT" goto WinNT
perl -x -S "%0" %1 %2 %3 %4 %5 %6 %7 %8 %9
goto endofperl
:WinNT
perl -x -S %0 %*
if NOT "%COMSPEC%" == "%SystemRoot%\system32\cmd.exe" goto endofperl
if %errorlevel% == 9009 echo You do not have Perl in your PATH.
if errorlevel 1 goto script_failed_so_exit_with_non_zero_val 2>nul
goto endofperl
@rem ';
#!/usr/bin/env perl
#line 15
use strict;
use warnings;
use OrePAN2::CLI::Inject;

OrePAN2::CLI::Inject->new->run(@ARGV);

__END__

=head1 NAME

orepan2-inject - Injector

=head1 SYNOPSIS

    % orepan2-inject git://github.com/miyagawa/Acme-YakiniQ.git@master /path/to/darkpan/
    % orepan2-inject Carton /path/to/darkpan/

=head1 DESCRIPTION

OrePAN2 injector. This module injects your modules to the OrePAN2 darkpan repository.

You need to run orepan2-indexer script after inject. Index files are required for module installation.

=head1 OPTIONS

=over 4

=item C< --no-generate-index >

No generate I<02packages.details.txt.gz>.

=item C< --author=DANKOGAI >

Specify the cpan author directory name.

orepan2 uses 'DUMMY' as default.

=back

=head1 SOURCES

orepan2-inject script supports following source types.

=head2 ARCHIVE FILE

    orepan2-inject Text-TestBase-0.10.tar.gz /tmp/darkpan

You can inject to darkpan from a file.

=head2 HTTP URL

    orepan2-inject http://cpan.metacpan.org/authors/id/T/TO/TOKUHIROM/Text-TestBase-0.10.tar.gz /tmp/darkpan

You can inject to darkpan from archive URL.

=head2 Git repository

    % orepan2-inject git://github.com/miyagawa/Acme-YakiniQ.git@master /path/to/darkpan/
    % orepan2-inject git://github.com/miyagawa/Acme-YakiniQ.git        /path/to/darkpan/

You need to setup git repository as a installable git repo.
You need to put a META.json in your repository.

If you are using Minilla or Milla, your repository is already ready to install.

OrePAN2::Inject supports following URL types:

    git+file://path/to/repo.git
    git://github.com/plack/Plack.git@1.0000        # tag
    git://github.com/plack/Plack.git@devel         # branch

It's compatible with cpanm.

=head2 Module name

    % orepan2-inject Data::Dumper /path/to/darkpan

You can inject from CPAN by module name.


__END__
:endofperl
